[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.SaveToClipboardFormat

SaveToClipboardFormats - Allocates a global handle and writes the picture in its native clipboard format.

## Declaration

Source position: graphics.pp line 924

`public procedure TPicture.SaveToClipboardFormat(`
`FormatID: TClipboardFormat`
`);`

## Arguments

`FormatID` |  | Identity of the clipboard format.

## Description

SaveToClipboardFormats - Allocates a global handle and writes the picture in its native clipboard format (CF_BITMAP for bitmaps, CF_METAFILE for metafiles, etc.). Formats will contain the formats written. Returns the number of clipboard items written to the array pointed to by Formats and Datas or would be written if either Formats or Datas are Nil.